Programiranje 2

#include <bits/stdc++.h>
using namespace std;


int main()
{
    long long n; long long m;

    cin >> n >> m;

    if(min(n, m)==1ll)
    {
        cout << max(n, m) << '\n';

        return 0;
    }

    else
    {
        cout << 2*(n+m-2)+((n-2)*(m-2))/2 << '\n';

        return 0;
    }
}